;*************************************************************
;
;   eZ80F92 Camel Forth Internal I/O Port Definitions
;
;   Copyright (c) 2003 Douglas Beattie Jr.
;
;*************************************************************
;
;   General-Purpose I/O Port D
;
;
PD_DR       EQU 0A2h    ;Port D Data Register
PD_DDR      EQU 0A3h    ;Port D Data Direction Register
PD_ALT1     EQU 0A4h    ;Port D Alternate Register 1
PD_ALT2     EQU 0A5h    ;Port D Alternate Register 2

; On-Chip RAM Control
RAM_CTL     EQU 0B4h    ;RAM Control Register
RAM_ADDR_U  EQU 0B5h    ;RAM Address Upper Byte

; ----------------------------------------------
UZI0_CTL    EQU 0CFh    ;UZI 0 Control Register
  ;eZ80180 Only -- No such register in 'F92!!
; ----------------------------------------------

; UART 0 definitions (for Console interface)
UART0_RBR   EQU 0C0h    ;UART 0 Receive Buffer Register
UART0_THR   EQU 0C0h    ;UART 0 Transmit Holding Register
BRG0_DLR_L  EQU 0C0h    ;BRG 0 Divisor Latch Register, Low Byte
BRG0_DLR_H  EQU 0C1h    ;BRG 0 Divisor Latch Register, High Byte
UART0_IER   EQU 0C1h    ;UART 0 Interrupt Enable Register
UART0_IIR   EQU 0C2h    ;UART 0 Interrupt Identification Register
UART0_FCTL  EQU 0C2h    ;UART 0 FIFO Control Register
UART0_LCTL  EQU 0C3h    ;UART 0 Line Control Register
UART0_MCTL  EQU 0C4h    ;UART 0 Modem Control Register
UART0_LSR   EQU 0C5h    ;UART 0 Line Status Register
UART0_MSR   EQU 0C6h    ;UART 0 Modem Status Register
UART0_SPR   EQU 0C7h    ;UART 0 Scratch Pad Register

